@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

*{
  box-sizing: border-box;
    padding: 0;
    border: 0;
    margin: 0
}

.headerA {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.78) 0%, rgba(0, 0, 0, 0.78) 100%), url(../assets/pexels-sergei-starostin-6636497.jpg), lightgray 50% / cover no-repeat;
  background-position: center;
  color: white;
  background-size: cover;
  padding-top: 6rem;
  text-align: center;
  margin-bottom: 2rem;
  height: 25vh;
}

.headerA > h2  {
  font-size: 1.3em;
  margin: 0.4em;
  font-weight: 900;
  letter-spacing: 0.15em;
}

.headerB {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.78) 0%, rgba(0, 0, 0, 0.78) 100%), url(../assets/pexels-sergei-starostin-6636497.jpg), lightgray 50% / cover no-repeat;
  background-position: center;
  color: white;
  background-size: cover;
  text-align: center;
  height: 20rem;
  display: flex;
  align-items: center;
}

.headerB > h2  {
  font-size: 1.5em;
  font-weight: 900;
  letter-spacing: 0.15em;
}

.warrantySection {
  display: flex;
  align-items: center;
  background-color: #eeeeeee5;
  gap: 1rem;
  padding: 1rem 0 0 0;
  margin-bottom: 4rem;
}

.warrantySection > h3 {
  font-size: 1em;
  margin-left: 2rem;
}

.contact {
  width: 95%;
  margin: auto;
  display: flex;
  align-items: center;
  flex-direction: column;
  margin-bottom: 2rem;
}

.contact > p {
  color: #000;
  text-align: center;
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  width: 100%;
  margin: 1rem 0px 1rem 0px;
}

.contact > button {
  background-color: #23C25D;
  border: none;
  color: white;
  width: 100%;
  height: 4rem;
  border-radius: 8px;
  font-size: 1.1em;
}

.cardWrapper {
  align-items: center;
  display: flex;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
  background-color: white;
  margin: 4rem 0;
}

.cardWrapper > a > img {
  width: 6rem;
}

.brandsCarousel {
  border: 2px white solid;
  background-color: white;
}

.title-brand {
  width: 100%;
  text-align: center;
  font-size: 2.8rem;
  margin-bottom: 3rem;
}

.card {
  display: flex;
  text-decoration: none;
  color: black;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 8rem;
  align-items: center;
}

.contact > h4 {
  font-size: 1.5em;
  text-align: center;
}


@media (min-width: 1200px) {
  .warrantySection {
    flex-direction: column;
  }

  .headerA {
    padding-top: 6.5rem;
    margin-bottom: 5em;
    height: 35vh;
  }

  .headerA > h2  {
    font-size: 3em;
    margin: 0.4em;
  }

  .brandsCarousel > div {
    display: flex;
    flex-wrap: wrap;
    gap: 2.5rem;
    height: fit-content;
  }

  .brandsCarousel > div > div {
    width: fit-content;
    height: fit-content;
  }

  .brandsCarousel > div > div:nth-of-type(1) {
    margin-left: 0;
  }
  
  .warrantySection > div > div > h4 {
    font-size: 1.5em;
    text-align: center;
  }
 
  .warrantySection > h3 {
    font-size: 2.4em;
    margin-left: 4rem;
  }

  .contact {
    width: 90%;
    height: 40vh;
    justify-content: space-evenly;
  }
  
  .contact > p {
    font-size: 1.2em;
  }
  
  .contact > button {
    width: 50rem;
    height: 4rem;
    font-size: 1.5em;
  }

  .contact > h4 {
    font-size: 2em;
  }

  .cardWrapper {
    align-items: center;
    justify-content: center;
  }

  .cardWrapper > a > img {
    width: 9rem;
  }

  .card {
    height: 12rem;
  }
}